%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


# Oh the horrors of arch dependent noarch packages!
# (bzrlib is arch dependent.  Thus bzrlib plugins are also arch dependent.)
%define debug_package %{nil}

Name:           bzr-gtk
Version:        0.97.0
Release:        2%{?dist}
Summary:        Bazaar plugin for GTK+ interfaces to most Bazaar operations

Group:          Development/Tools
License:        GPLv2+
URL:            http://bazaar-vcs.org/bzr-gtk
Source0: http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# This requires some nonexistent functionality.  Bug filed upstream.  Disabled
# for now.
Patch0:         bzr-gtk-disable-nautilus-pull.patch
# Change the version in the desktop file -- it's for the dektop spec version,
# not the application version
Patch1: bzr-gtk-desktop-version.patch
# Submitted upstream
Patch2: bzr-gtk-handle-patch.patch
%if 0%{?rhel} && 0%{?rhel} <= 5
# In EL-5 and Fedora < 7 Encoding was a mandatory field.  Now it's deprecated.
Patch100:       bzr-gtk-el5-encoding.patch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  bzr
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
%if 0%{?fedora} && 0%{?fedora} <= 12
# nautilus-python is not present in EPEL at this time.
# It's also orphaned in Fedora as of Fedora 12
BuildRequires:  nautilus-python-devel
%endif
Requires:       bzr >= 1.6
Requires:       pygtk2
# This enables the bzr-notify functionality but it's not packaged for
# Fedora yet.
#Requires:       bzr-dbus
Obsoletes:      olive < %{version}-%{release}
Provides:       olive = %{version}-%{release}


%description
bzr-gtk is a plugin for Bazaar that aims to provide GTK+ interfaces to most
Bazaar operations.

%if 0%{?fedora} && 0%{?fedora} <= 12
# nautilus-python is not present in EPEL at this time.
# It's also orphaned in Fedora as of Fedora 12
%package -n nautilus-bzr
Summary: Nautilus plugin for the bazaar revision control system
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires:       nautilus-python >= 0.5.0

%description -n nautilus-bzr
nautilus-bzr is an extension for Nautilus, the GNOME file manager.  It
allows you to perform some revision control commands on Bazaar Working Trees
from within Nautilus.
%endif

%prep
%setup -q
%patch0 -p1 -b .nautilusdisable
%patch1 -p1 -b .dver
%patch2 -p0 -b .bhp

%if 0%{?rhel} && 0%{?rhel} <= 5
# EPEL 5 only
%patch100 -p1 -b .encoding
%endif

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

desktop-file-validate bazaar-properties.desktop
desktop-file-validate bzr-handle-patch.desktop
desktop-file-validate olive-gtk.desktop
desktop-file-validate bzr-notify.desktop

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
if test "%{python_sitelib}" != "%{python_sitearch}" ; then
    install -d -m 0755 $RPM_BUILD_ROOT%{python_sitearch}
    mv $RPM_BUILD_ROOT%{python_sitelib}/* $RPM_BUILD_ROOT%{python_sitearch}/
fi

%find_lang olive-gtk

# This won't do anything until after we add bzr-dbus.
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/bzr-notify.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f olive-gtk.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/bzr-gtk.applications
%{_datadir}/olive/
%{_datadir}/bzr-gtk/
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/scalable/emblems/
%{python_sitearch}/bzrlib/plugins/gtk/
%if 0%{?fedora} || 0%{?rhel} > 5
%{python_sitearch}/*.egg-info
%endif

%if 0%{?fedora} && 0%{?fedora} <= 12
# nautilus-python is not present in RHEL
# nautilus-python is orphaned as of F-12
%files -n nautilus-bzr
%defattr(-,root,root,-)
%if 0%{?fedora} >= 9
%{_libdir}/nautilus/extensions-2.0/python/*
%else
%{_libdir}/nautilus/extensions-1.0/python/*
%endif
%endif

%changelog
* Fri Nov 12 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.97.0-2
- Disable nautilus plugin on F13+ as nautilus-python is orphaned, broken, and
  not active upstream.
- Add a patch to fix error handling in bzr-patch-handler

* Tue Aug 25 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.97.0-1
- Update to latest bugfix release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.96.2-1
- Update to work with bzr-1.16
- Update rhel version reqs

* Wed May 27 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.95.0-5
- Upstream patch to work around: bz#498138

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.95.0-3
- Rebuild for Python 2.6

* Thu Sep 25 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.95.0-2
- Update for fixed nautilus-python package.

* Wed Sep 3 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.95.0-1
- New Upstream release for use with bzr >= 1.6.

* Thu Jul 24 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.94.0-5
- Upstream has a new patch for bz#455284.

* Mon Jul 14 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.94.0-4.1
- Add upstream patch to fix a traceback when using log in olive.
- Refresh patches so we don't have fuzz.

* Wed May 21 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.94.0-2
- Add patch from upstream to fix all bzr-gtk commands when seahorse
  isn't present. launchpad #228922.

* Wed May 7 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.94-1.1
- Add Encoding metadata for EL-5/F-7 desktop-file-validate.

* Mon May 5 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.94-1
- Update to 0.94.
- Merge olive package into bzr-gtk to fix BZ#441139.
- Remove patches that were merged into 0.94.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.93.0-3
- Autorebuild for GCC 4.3

* Thu Jan 17 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.93.0-3
- Exclude nautilus-bzr when building for RHEL as nautilus-python is not
  available there.

* Tue Dec 11 2007 Toshio Kuratomi <a.badger@gmail.com> 0.93-2
- Move the egg-info into sitearch along with the module.

* Tue Dec 11 2007 Toshio Kuratomi <a.badger@gmail.com> 0.93-1
- Update to bzr-1.0 compatible package.

* Wed Sep 26 2007 Toshio Kuratomi <a.badger@gmail.com> 0.91.0-2
- Olive must be moved to an arch specific directory as well for now.
  If rpm could have noarch subpackages, this would be fine to leave in
  python_sitelib.

* Wed Sep 26 2007 Toshio Kuratomi <a.badger@gmail.com> 0.91.0-1
- Update to 0.91.0.

* Thu Aug 30 2007 Toshio Kuratomi <a.badger@gmail.com> 0.90.0-2
- Move the plugins manually as distutils doesn't know that bzr is arch
  specific.

* Tue Aug 28 2007 Toshio Kuratomi <a.badger@gmail.com> 0.90.0-1
- Update to 0.90.0.
- Update license tag to the new Licensing Guidelines.
- Bzr is now arch specific so all its plugins have to be as well.

* Wed Jul 25 2007 Warren Togami <wtogami@redhat.com> 0.18.0-1
- Update to 0.18.0.

* Thu Jun 28 2007 Warren Togami <wtogami@redhat.com> 0.17.0-1
- Update to 0.17.0.

* Fri May 11 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.16.0-1
- Update to 0.16.0.
- Apply patch to fix traceback in nautilus module.

* Mon Apr 30 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-3
- Add a nautilus subpackage as there's now a nautilus-python package in Fedora.

* Wed Apr 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-2
- Fix olive description.

* Fri Apr 3 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-1
- Upgrade to 0.15.2:
  + Traceback fixed upstream.
  + UI fix to allow resizing the gstatus dialog window.
- Disable the commit notifier as it won't work until we get bzr-dbus into
  Fedora.

* Thu Apr 2 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-2
- Fix a traceback in two bzr-gtk subcommands.

* Thu Mar 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-1
- Update to 0.15.1
- Split olive directory in site-packages into the olive package.
- Don't own the bzrlib or plugins directory as bzr already owns them.
- Notes on splitting the nautilus functionality out.  This isn't done yet as
  we need to add python-nautilus into Fedora.
